import { AttributeValue } from '@aws-sdk/client-dynamodb';
import { DDBReadOnlyClientConfiguration } from '../DDBReadOnlyClient.ts';
export declare const mapKey: <Item extends {}, PKName extends keyof Item, SKName extends keyof Item = never>(config: DDBReadOnlyClientConfiguration<Item, PKName, SKName>, partitionKey: Item[PKName], sortKey?: Item[SKName] | undefined) => {
    [key: string]: AttributeValue;
};
